This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 191606 - Review Request: lineak-kdeplugins - KDE-based actions for lineakd
Review Request: lineak-kdeplugins - KDE-based actions for lineakd
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 191604
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-13 15:44 EDT by Chris Petersen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-03 05:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Petersen 2006-05-13 15:44:53 EDT
Spec URL: http://forevermore.net/files/packages/lineak/lineak_kdeplugins.spec
SRPM URL: http://forevermore.net/files/packages/lineak/lineak_kdeplugins-0.8.4-1.src.rpm
Description: 

Plugin for lineakd to support KDE and many of its applications.
Comment 2 Chris Petersen 2006-05-21 04:41:18 EDT
Shuffling files around on my server, and making a few changes to bring things up
to par.

http://rpm.forevermore.net/lineak/lineak_kdeplugins.spec
http://rpm.forevermore.net/lineak/lineak_kdeplugins-0.8.4-2.src.rpm
Comment 5 Jason Tibbitts 2006-06-01 15:05:25 EDT
Oddly, if you run rpmlint on the src.rpm, it complains about /lib being
hardcoded; I guess it just does a search for "/lib" and finds your call to sed.

Other than that, rpmlint is silent.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   4ddfc475e4df27f8822e0b08c0f701b5  lineak_kdeplugins-0.8.4.tar.gz
   4ddfc475e4df27f8822e0b08c0f701b5  lineak_kdeplugins-0.8.4.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
 final provides and requires are sane:
   amarokplugin.so()(64bit)
   jukplugin.so()(64bit)
   kdesktopplugin.so()(64bit)
   kmailplugin.so()(64bit)
   kmixplugin.so()(64bit)
   konqplugin.so()(64bit)
   kscdplugin.so()(64bit)
   lineak_kdeplugins = 0.8.4
   lineak-kdeplugins = 0.8.4-4.fc6
  -
   kdelibs
   libICE.so.6()(64bit)
   libSM.so.6()(64bit)
   libX11.so.6()(64bit)
   libXext.so.6()(64bit)
   libdl.so.2()(64bit)
   libgcc_s.so.1()(64bit)
   libkdecore.so.4()(64bit)
   libkdeui.so.4()(64bit)
   libkio.so.4()(64bit)
   liblineak.so.0()(64bit)
   libm.so.6()(64bit)
   libpng12.so.0()(64bit)
   libpthread.so.0()(64bit)
   libqt-mt.so.3()(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
   libz.so.1()(64bit)
   lineakd = 0.8.4
* shared libraries are present, but internal to lineakd so no need to call ldconfig.
* package is not relocatable.
* owns the directories it creates (the plugins directory is created by lineakd,
which is a dependency).
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.